Last modified: 2014-04-07 08:56:02 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 62970 - Hovercards: cards display incorrectly for RTL languages
Hovercards: cards display incorrectly for RTL languages
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Popups (Other open bugs)
unspecified
All All
: High major (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2014-03-23 06:32 UTC by Prateek Saxena
Modified: 2014-04-07 08:56 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
rtl-broken (147.21 KB, image/png)
2014-03-23 06:32 UTC, Prateek Saxena
Details
maybe wrong alignment (82.99 KB, image/png)
2014-04-07 08:16 UTC, matanya
Details
correct alignment (80.50 KB, image/png)
2014-04-07 08:16 UTC, matanya
Details

Description Prateek Saxena 2014-03-23 06:32:55 UTC
Created attachment 14880 [details]
rtl-broken
Comment 1 Eran Roz 2014-03-27 21:52:56 UTC
I guess it can be fixed easily by adding @noflip in css
Comment 2 Prateek Saxena 2014-03-31 13:19:27 UTC
(Reply to Eran on Comment #1)
> I guess it can be fixed easily by adding @noflip in css

Mostly that, but certain elements need more work. Will push a fix soon.
Comment 3 Gerrit Notification Bot 2014-04-01 06:19:48 UTC
Change 122644 had a related patch set uploaded by Prtksxna:
Fix for RTL languages

https://gerrit.wikimedia.org/r/122644
Comment 4 Gerrit Notification Bot 2014-04-01 06:31:28 UTC
Change 122644 merged by jenkins-bot:
Fix for RTL languages

https://gerrit.wikimedia.org/r/122644
Comment 5 Amir E. Aharoni 2014-04-01 06:31:45 UTC
Thanks for the fix!
Comment 6 matanya 2014-04-07 08:16:17 UTC
Created attachment 15033 [details]
maybe wrong alignment

I have tested it in beta, and it is fixed indeed, though i have one question, in the attached screenshot the card appears to the right of the hovered text and not on the left like the other attachment. why is this happening?
Comment 7 matanya 2014-04-07 08:16:59 UTC
Created attachment 15034 [details]
correct alignment
Comment 8 Prateek Saxena 2014-04-07 08:56:02 UTC
(In reply to matanya Comment #6)
> I have tested it in beta, and it is fixed indeed, though i 
> have one question, in the attached screenshot the card appears
> to the right of the hovered text and not on the left like the
> other attachment. why is this happening?

To avoid the Hovercard appearing off-screen we flip the Hovercard on the right side of the screen.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links